Loading...
Searching...
No Matches
BALL::TransformationProcessor Class Reference
Molecular Modeling » Molecular Structure » Miscellaneous

`#include <BALL/STRUCTURE/geometricTransformations.h>`

Inheritance diagram for BALL::TransformationProcessor:

## Public Member Functions

| TransformationProcessor ()
| TransformationProcessor (const Matrix4x4 &transformation)
void | setTransformation (const Matrix4x4 &transformation)
const Matrix4x4 & | getTransformation () const
virtual Processor::Result | operator() (Atom &atom)
| Applicator method.
Public Member Functions inherited from BALL::UnaryProcessor< Atom >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Protected Attributes

Matrix4x4 | transformation_

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Transformation applicator. This applicator executes a transformation on each atom of a given Composite object. The transformation may be given in the constructor, or by calling setTransformation. Applying the applicator to a given Composite object will multiply the coordinates of each Atom object (or objects derived from Atom) with the given transformation matrix.

Definition at line 87 of file geometricTransformations.h.

## Constructor & Destructor Documentation

## TransformationProcessor() [1/2]

BALL::TransformationProcessor::TransformationProcessor | ( |  | ) |

Default constructor. The transformation applicator is initialized and the transformation is set to identity: [ \left( \begin{array}{cccc} 1 & 0 & 0 & 0

  0 & 1 & 0 & 0

  0 & 0 & 1 & 0

  0 & 0 & 0 & 1

  \end{array} \right) ]

## TransformationProcessor() [2/2]

BALL::TransformationProcessor::TransformationProcessor | ( | const Matrix4x4 & | transformation | ) |

Constructor. Creates a new instance of a TransformationProcessor and sets the transformation matrix.

Parameters

  transformation | the new transformation matrix

## Member Function Documentation

## getTransformation()

const Matrix4x4 & BALL::TransformationProcessor::getTransformation | ( |  | ) | const

Returns the transformation vector.

Returns
  the current transformation matrix

## operator()()

virtual Processor::Result BALL::TransformationProcessor::operator() | ( | Atom & | atom | ) |

virtual

Applicator method.

Reimplemented from BALL::UnaryProcessor< Atom >.

## setTransformation()

void BALL::TransformationProcessor::setTransformation | ( | const Matrix4x4 & | transformation | ) |

Sets a new transformation.

Parameters

  transformation | the new transformation matrix

## Member Data Documentation

## transformation_

Matrix4x4 BALL::TransformationProcessor::transformation_

protected

Definition at line 130 of file geometricTransformations.h.